mssql_min_message_severity
mssql_num_fields
Mssql Functions
PHP Manual

# mssql_next_result

(PHP 4 >= 4.0.5, PHP 5, PECL odbtp:1.1.1-1.1.4)

mssql_next_result — Move the internal result pointer to the next result

### Description

bool mssql_next_result ( resource `$result_id` )

When sending more than one SQL statement to the server or executing a stored procedure with multiple results, it will cause the server to return multiple result sets. This function will test for additional results available form the server. If an additional result set exists it will free the existing result set and prepare to fetch the rows from the new result set.

### Parameters

`result_id`

  The result resource that is being evaluated. This result comes from a call to mssql_query().

### Return Values

Returns `TRUE` if an additional result set was available or `FALSE` otherwise.

### Examples

Example #1 mssql_next_result() example

`<?php
$link = mssql_connect("localhost", "userid", "secret");
mssql_select_db("MyDB", $link);
$sql = "Select * from table1 select * from table2";
$rs = mssql_query($sql, $link);
do {
while ($row = mssql_fetch_row($rs)) {
}
} while (mssql_next_result($rs));
mssql_free_result($rs);
mssql_close($link);
?>`

mssql_min_message_severity
mssql_num_fields
Mssql Functions
PHP Manual